%define php_majver %(php-config --version | cut -d. -f1-2)
%define pkgver %(echo %version | tr '[:lower:]' '[:upper:]')
Name:          php-xdebug
Version:       2.4.0rc4
Release:       1mamba
Summary:       A PHP extension for powerful debugging
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://xdebug.org/
Source:        http://xdebug.org/files/xdebug-%{version}.tgz
License:       PHP License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libedit-devel
BuildRequires: libtermcap-devel
## AUTOBUILDREQ-END
BuildRequires: php-devel
Requires:      php >= %{php_majver}
Requires:      php <= %{php_majver}.99
Provides:      xdebug
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A PHP extension for powerful debugging. It supports stack and function traces, profiling information and memory allocation and script execution analysis.

%package debugclient
Group:         Applications/Development
Summary:       Test client application for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description debugclient
Test client application for %{name}.

%debug_package

%prep
%setup -q -n xdebug-%{pkgver}

%build
phpize
%configure
%make

cd debugclient
%configure --with-libedit
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot}

cd debugclient
%makeinstall INSTALL_ROOT=%{buildroot}

install -d -m0755 %{buildroot}%{_sysconfdir}/php/php.d
cat > %{buildroot}%{_sysconfdir}/php/php.d/xdebug.ini <<EOF
; Enable xdebug extension module
zend_extension=xdebug.so
;xdebug.remote_enable=On
;xdebug.remote_host="192.168.0.117"
;xdebug.remote_port=9000
;xdebug.remote_handler="dbgp"
EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/php/php.d/xdebug.ini
%{_libdir}/php/extensions/xdebug.so

%files debugclient
%defattr(-,root,root)
%{_bindir}/debugclient

%changelog
* Wed Jan 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0rc4-1mamba
- update to 2.4.0rc4

* Thu Sep 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.5-1mamba
- update to 2.2.5

* Thu Feb 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.3-2mamba
- rebuilt with debug client
- xdebug.ini updated

* Mon Nov 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.3-1mamba
- package created by silvan using the webbuild interface
